Skip to main content
POST

Scan API

Deprecated

OpenAPISince 0.5.10Changed 0.6.3
Deprecated. Please use /v1/holdings/summary instead. Returns the summary of active amulet contracts for a given migration id and record time, for the given parties. This is an aggregate of /v0/holdings/state by owner party ID with better performance than client-side computation.

Protocol Details

Operation IDgetHoldingsSummaryAt
Published0.7.4
SpecificationDownload OpenAPI

Inputs

Request body

application/json
number
required
OpenAPI type: integer (int64).The migration id for which to return the summary.
string
required
OpenAPI type: string (date-time).The timestamp at which the contract set was active. This needs to be an exact timestamp, i.e., needs to correspond to a timestamp reported by /v0/state/acs/snapshot-timestamp if record_time_match is set to exact (which is the default). If record_time_match is set to at_or_before, this can be any timestamp, and the most recent snapshot at or before the given record_time will be returned.
string
default:"exact"
How to match the record_time. “exact” requires the record_time to match exactly. “at_or_before” finds the most recent snapshot at or before the given record_time.
string[]
required
The owners for which to compute the summary.
number
OpenAPI type: integer (int64).Compute holding fees as of this round. Defaults to the earliest open mining round.

Outputs

200

application/json
string (date-time)
required
The same record_time as in the request.
integer (int64)
required
The same migration_id as in the request.
integer (int64)
required
The same as_of_round as in the request, with the same default.
HoldingsSummary[]
required

400

application/json
string
required

404

application/json
string
required

500

application/json
string
required

History

Deprecated0.6.3
Changed0.6.3

The POST /v0/holdings/summary operation changed in this snapshot.

Introduced0.5.10